Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.event
Interface NamespaceChangeListener

All Superinterfaces:
  EventListener, NamingListener

public interface NamespaceChangeListener
extends NamingListener

Specifies the methods that a listener interested in namespace changes must implement. Specifically, the listener is interested in `NamingEvent`s with event types of `OBJECT_ADDED`, `OBJECT_RENAMED`, or `OBJECT_REMOVED`.

Such a listener must:

1. Implement this interface and its methods.
2. Implement `NamingListener.namingExceptionThrown()` so that it will be notified of exceptions thrown while attempting to collect information about the events.
3. Register with the source using the source's `addNamingListener()` method.

A listener that wants to be notified of `OBJECT_CHANGED` event types should also implement the `ObjectChangeListener` interface.

Since:
  1.3
See Also:
  `NamingEvent`, `ObjectChangeListener`, `EventContext`, `EventDirContext`

Method Summary
`void` | `objectAdded(NamingEvent evt)` Called when an object has been added.
`void` | `objectRemoved(NamingEvent evt)` Called when an object has been removed.
`void` | `objectRenamed(NamingEvent evt)` Called when an object has been renamed.

Methods inherited from interface javax.naming.event.NamingListener
`namingExceptionThrown`

Method Detail

### objectAdded

    public void objectAdded(NamingEvent evt)

  Called when an object has been added.

  The binding of the newly added object can be obtained using `evt.getNewBinding()`.

  Parameters:
    `evt` - The nonnull event.
  See Also:
    `NamingEvent.OBJECT_ADDED`

### objectRemoved

    public void objectRemoved(NamingEvent evt)

  Called when an object has been removed.

  The binding of the newly removed object can be obtained using `evt.getOldBinding()`.

  Parameters:
    `evt` - The nonnull event.
  See Also:
    `NamingEvent.OBJECT_REMOVED`

### objectRenamed

    public void objectRenamed(NamingEvent evt)

  Called when an object has been renamed.

  The binding of the renamed object can be obtained using `evt.getNewBinding()`. Its old binding (before the rename) can be obtained using `evt.getOldBinding()`. One of these may be null if the old/new binding was outside the scope in which the listener has registered interest.

  Parameters:
    `evt` - The nonnull event.
  See Also:
    `NamingEvent.OBJECT_RENAMED`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.